> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proofy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create batch request

> Verifies one or multiple emails in a batch

Use to verify multiple email databases by sending a single request for efficient batch processing.

### Batch size

Single batch can process up to 10,000 emails.

### Rate Limit

The Batch Email Verification API is limited to 25 requests per minute and 2 concurrent batch tasks per account. Other batch tasks will be queued.


## OpenAPI

````yaml POST /verify/batch/create
openapi: 3.0.3
info:
  title: Proofy Api
  description: Some text
  termsOfService: https://proofy.io/terms
  contact:
    email: support@proofy.io
  version: 1.1.0
servers:
  - url: https://apis.proofy.io/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Widget
    description: Everything about JS Widget
  - name: Single Email
    description: Single email check
  - name: Batch Emails
    description: Batch emails check
  - name: File upload
    description: Upload a file containing emails
paths:
  /verify/batch/create:
    post:
      tags:
        - Batch Emails
      description: Verify a batch email addresses
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchCreateRequest'
            example:
              emails:
                - test@example.com
                - hello@domain.com
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateResponse'
        '400':
          $ref: '#/components/responses/HttpErrorResponseNotEnoughCredits400'
        '401':
          $ref: '#/components/responses/HttpErrorResponse401'
        '404':
          $ref: '#/components/responses/HttpErrorResponse404'
        '422':
          $ref: '#/components/responses/HttpErrorResponse422'
        '429':
          $ref: '#/components/responses/HttpErrorResponse429'
        '500':
          $ref: '#/components/responses/HttpErrorResponse500'
components:
  schemas:
    BatchCreateRequest:
      type: object
      properties:
        emails:
          type: array
          items:
            type: string
    CreateResponse:
      type: object
      properties:
        status:
          type: string
        id:
          type: string
      example:
        status: parsing
        id: e29bec0d-c534-493d-9c86-f44b0e2c2617
  responses:
    HttpErrorResponseNotEnoughCredits400:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Not enough credits
    HttpErrorResponse401:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Unauthorized
    HttpErrorResponse404:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Not Found
    HttpErrorResponse422:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Unprocessable Entity
    HttpErrorResponse429:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Too Many Requests
    HttpErrorResponse500:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Internal Server Error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: api_key

````